Skip to main content
POST
/
v1
/
deposit-wallet
/
activity
Record Deposit Wallet Activity (By Public Keys)
curl --request POST \
  --url https://api.hel.io/v1/deposit-wallet/activity \
  --header 'Content-Type: application/json' \
  --data '
{
  "wallets": [
    "7YancRyNQyp9s6G7YNwx9H93UqswoKWqF9GuNJPufyvW"
  ]
}
'
import requests

url = "https://api.hel.io/v1/deposit-wallet/activity"

payload = { "wallets": ["7YancRyNQyp9s6G7YNwx9H93UqswoKWqF9GuNJPufyvW"] }
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({wallets: ['7YancRyNQyp9s6G7YNwx9H93UqswoKWqF9GuNJPufyvW']})
};

fetch('https://api.hel.io/v1/deposit-wallet/activity', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


Note: When using the production environment at moonpay.hel.io, set your API endpoint to api.hel.io/v1 and generate API keys there. For the development environment, use api.dev.hel.io/v1 and generate API keys from moonpay.dev.hel.io.
Use this route when you have wallet public keys but are not using the customer deposit token flow. If you identify the customer by token and want all of their wallets marked active at once, use Record Deposit Wallet Activity (By Token) instead.

Body

application/json
wallets
string[]
required

Deposit wallet public keys (addresses) to mark as active.

Minimum array length: 1

Response

The request was accepted and activity updates were applied for each resolvable wallet. No response body is returned.